#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%define		pdir	Net
%define		pnam	DNS-Resolver-Mock
Summary:	Net::DNS::Resolver::Mock - Mock a DNS Resolver object for testing
Name:		perl-Net-DNS-Resolver-Mock
Version:	1.20230216
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d191b6b1eb40497024988f500fe65ed4
URL:		https://metacpan.org/release/Net-DNS-Resolver-Mock/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-DNS
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A subclass of Net::DNS::Resolver which parses a zonefile for it's data
source. Primarily for use in testing.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Net/DNS/Resolver/*.pm
%{_mandir}/man3/*
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-DNS-Resolver-Mock.git;a=log;h=master

* Sun Apr 28 2024 Marcin Krol <hawk@tld-linux.org> a15eb0e
- updated to 1.20230216

* Fri Apr 12 2019 Adam Gołębiowski <adamg@pld-linux.org> ffe5594
- release 2, disable tests

* Fri Apr 12 2019 Adam Gołębiowski <adamg@pld-linux.org> 3fc01e1
- new

